import 'package:hmg_patient_app/core/viewModels/TermsConditionsViewModel.dart';
import 'package:hmg_patient_app/core/viewModels/project_view_model.dart';
import 'package:hmg_patient_app/pages/base/base_view.dart';
import 'package:hmg_patient_app/theme/colors.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/uitl/utils_new.dart';
import 'package:hmg_patient_app/widgets/buttons/defaultButton.dart';
import 'package:hmg_patient_app/widgets/buttons/secondary_button.dart';
import 'package:hmg_patient_app/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:provider/provider.dart';

class UserAgreementPage extends StatefulWidget {
  @override
  State<UserAgreementPage> createState() => _UserAgreementPageState();
}

class _UserAgreementPageState extends State<UserAgreementPage> {
  late ProjectViewModel projectViewModel;

  bool acceptTerms = false;

  @override
  Widget build(BuildContext context) {
    projectViewModel = Provider.of(context);
    return BaseView<TermsConditionsViewModel>(
      onModelReady: (model) => model.getUserTermsAndConditions(),
      builder: (_, model, w) => AppScaffold(
        isShowAppBar: true,
        showNewAppBarTitle: true,
        showNewAppBar: true,
        isShowDecPage: false,
        appBarTitle: TranslationBase.of(context).termsConditions,
        body: SingleChildScrollView(
          child: Padding(
            padding: const EdgeInsets.all(8.0),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  TranslationBase.of(context).termsHeading,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions1,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions2,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions3,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions4,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions5,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading2,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions6,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading3,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions7,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions8,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions9,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions10,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions11,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions12,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions12a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions12b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions12c,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions13,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions14,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions14a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions14b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading4,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions15,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions16,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions16a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions16b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions17,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions18,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions19,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions19a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions19b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading5,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions20,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions21,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading6,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions21,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions22,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions23,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions24,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading7,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions25,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions25a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions25b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions25c,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions26,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions27,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions28,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions29,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions30,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions31,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions32,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading8,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions33,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions33a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions33b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34c,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34d,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions34e,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35c,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35d,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions35e,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions36,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions37,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions38,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions39,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions39a,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions39b,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions39c,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions39d,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading9,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions40,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions41,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading10,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions42,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions43,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading11,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions44,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsHeading12,
                  style: TextStyle(
                      fontSize: 20, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(12.0),
                Text(
                  TranslationBase.of(context).termsConditions45,
                  style: TextStyle(fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                ),
                mHeight(24.0),
                Row(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Checkbox(
                        value: acceptTerms,
                        onChanged: (v) {
                          setState(() => acceptTerms = v!);
                        }),
                    Expanded(
                      child: Text(
                        TranslationBase.of(context).termsConditionsRead,
                        style: TextStyle(
                            fontSize: 16, fontFamily: (projectViewModel.isArabic ? 'Cairo' : 'Poppins'), fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                      ),
                    ),
                  ],
                ),
                mHeight(75.0),
              ],
            ),
          ),
        ),
        bottomSheet: Container(
          color: CustomColors.white,
          padding: EdgeInsets.fromLTRB(12.0, 1.0, 12.0, 25.0),
          child: DefaultButton(
            TranslationBase.of(context).acceptLbl.toUpperCase(),
            acceptTerms
                ? () {
                    Navigator.pop(context);
                  }
                : null,
            color: CustomColors.green,
            disabledColor: CustomColors.grey2,
          ),
        ),
      ),
    );
  }
}
